################################################################################
#
# wpa_supplicant
#
################################################################################

WPA_SUPPLICANT_HOSTAPD_RTL_VERSION = 0.8_rtw_r7475.20130812
WPA_SUPPLICANT_HOSTAPD_RTL_SITE = http://starterkit-org.googlecode.com/files/
WPA_SUPPLICANT_HOSTAPD_RTL_SOURCE = wpa_supplicant_hostapd-$(WPA_SUPPLICANT_HOSTAPD_RTL_VERSION).tar.gz
WPA_SUPPLICANT_HOSTAPD_RTL_LICENSE = GPLv2/BSD-3c
WPA_SUPPLICANT_HOSTAPD_RTL_LICENSE_FILES = README

define WPA_SUPPLICANT_HOSTAPD_RTL_BUILD_CMDS
	$(TARGET_MAKE_ENV) CFLAGS="$(TARGET_CFLAGS)" \
		LDFLAGS="$(TARGET_LDFLAGS)" \
		$(MAKE) CC="$(TARGET_CC)" -C $(@D)/wpa_supplicant
	$(TARGET_MAKE_ENV) CFLAGS="$(TARGET_CFLAGS)" \
	        LDFLAGS="$(TARGET_LDFLAGS)" \
	        $(MAKE) CC="$(TARGET_CC)" -C $(@D)/hostapd
endef

define WPA_SUPPLICANT_HOSTAPD_RTL_INSTALL_TARGET_CMDS
	$(INSTALL) -m 0755 -D $(@D)/wpa_supplicant/wpa_supplicant \
		$(TARGET_DIR)/usr/sbin/wpa_supplicant
	$(INSTALL) -m 0755 -D $(@D)/wpa_supplicant/wpa_cli \
	        $(TARGET_DIR)/usr/sbin/wpa_cli
	$(INSTALL) -m 0755 -D $(@D)/wpa_supplicant/wpa_passphrase \
                $(TARGET_DIR)/usr/sbin/wpa_passphrase
	$(INSTALL) -m 0755 -D $(@D)/hostapd/hostapd \
	        $(TARGET_DIR)/usr/sbin/hostapd
	$(INSTALL) -m 0755 -D $(@D)/hostapd/hostapd_cli \
	        $(TARGET_DIR)/usr/sbin/hostapd_cli
#	$(INSTALL) -m 644 -D package/wpa_supplicant/wpa_supplicant.conf \
#		$(TARGET_DIR)/etc/wpa_supplicant.conf
endef

$(eval $(generic-package))
