################################################################################
#
# wireless_tools
#
################################################################################

WIRELESS_TOOLS_RTL_VERSION = 30.rtl
WIRELESS_TOOLS_RTL_SITE = http://starterkit-org.googlecode.com/files/
WIRELESS_TOOLS_RTL_SOURCE = wireless_tools.$(WIRELESS_TOOLS_RTL_VERSION).tar.gz
WIRELESS_TOOLS_RTL_LICENSE = GPLv2
WIRELESS_TOOLS_RTL_LICENSE_FILES = COPYING

define WIRELESS_TOOLS_RTL_BUILD_CMDS
	$(MAKE) -C $(@D) CC="$(TARGET_CC)" CFLAGS="$(TARGET_CFLAGS)" \
		AR="$(TARGET_AR)" RANLIB="$(TARGET_RANLIB)"
endef

define WIRELESS_TOOLS_RTL_INSTALL_TARGET_CMDS
        $(INSTALL) -m 0755 -D $(@D)/iwconfig \
                $(TARGET_DIR)/usr/bin/iwconfig
        $(INSTALL) -m 0755 -D $(@D)/iwlist \
                $(TARGET_DIR)/usr/bin/iwlist
        $(INSTALL) -m 0755 -D $(@D)/iwlib.so \
                $(TARGET_DIR)/usr/lib/iwlib.so
endef

$(eval $(generic-package))
